using LinqToDB.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.Pojo
{
    [Table("Plan_Details")]
    public class PlanDetails
    {
        //主键
        [Column("Id")]
        public int Id { get; set; }
        //套餐外键
        [Column("Plan_Id")]
        public int PlanId { get; set; }
        //药品基数
        [Column("Base_Quantity")]
        public int BaseQuantity { get; set; }
        //药品ID
        [Column("Drug_Id")]
        public string DrugId { get; set; }

        [Association(ThisKey = nameof(DrugId), OtherKey = nameof(DrugInfo.DrugId))]
        public DrugInfo _DrugInfo { get; set; } = new(); 
        //添加时间
        [Column("AddTime")]
        public DateTime AddTime { get; set; }
        //可用状态：0不可用1可用
        [Column("usestate")]
        public int UseState { get; set; }
        //操作人
        [Column("operatorUser")]
        public string OperatorUser { get; set; }
        //审核人
        [Column("reviewerUser")]
        public string ReviewerUser { get; set; }
        public List<ChannelStock> channelStocks { get; set; } = new List<ChannelStock>();

        public DrugManuNo _ManuNo { get; set; }

    }
}
